angular.module('focaModalResumenCuenta')
    .factory('focaModalResumenCuentaService', ['$http', 'API_ENDPOINT', function($http, API_ENDPOINT) {
        return {
            getResumenCuenta: function(idCliente, fechaDesde) {
                return $http.get(API_ENDPOINT.URL +
                    '/factura/resumen/' + idCliente + '/' + fechaDesde);
            },
            enviarFacturaPorMail: function(receiver, factura) {
                return $http.post(API_ENDPOINT.URL + '/mail',
                    {receiver: receiver, factura: factura});
            },
            enviarResumenPorMail: function(receiver, resumen) {
                return $http.post(API_ENDPOINT.URL + '/mail/resumen-cuenta',
                    {receiver: receiver, resumen: resumen});
            }
        };
    }]);
